"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Log = void 0;
const colors = require("colors");
colors.setTheme({
    silly: 'rainbow',
    input: 'grey',
    verbose: 'cyan',
    prompt: 'grey',
    info: 'cyan',
    data: 'grey',
    help: 'cyan',
    warn: 'yellow',
    debug: 'blue',
    error: 'red',
    h1: 'grey',
    h2: 'yellow'
});
class Log {
    static title(message) {
        console.log(colors.bold(message));
    }
    static subtitle(message) {
        console.log(colors.yellow.bold(message));
    }
    static info(message) {
        console.log(colors.cyan(message));
    }
    static success(message) {
        console.log(colors.green('\u2714 '), message);
    }
    static error(message) {
        console.log(colors.red(message));
    }
    static warning(message) {
        console.log(colors.yellow('\u26A0 ' + message));
    }
}
exports.Log = Log;
